QGIS not properly recognizing/handling EPSG 2229

2009-02-19 09:38 AM - joe larson

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11614

Description

Shapefile data with proper projection attribution (EPSG: 2229, NAD83 / California zone 5 (ftUS)) is not properly recognized when loaded

into QGIS.

My QGIS Options > CRS tab is set to 'Prompt for CRS' when layer is loaded that has no coordinate reference system. Tests have been

run against other properly projected shapefiles and it appears this behavior is specific to EPSG 2229.

Perhaps this issue arises from the definition of the .prj file - my data is coming from 

http://www.countyofsb.org/itd/gis/default.aspx?id=2802 I am also seeing a significant difference between the .prj files when defining the

projection with fTools - but will address that issue with Mr. Farmer.

Will be glad to attach any desired files. -joe

History

#1 - 2009-03-28 03:20 PM - Paolo Cavallini

Is this related to #1537 ? Can be closed as well?

#2 - 2009-03-29 03:05 AM - Maciej Sieczka -

Replying to j03lar50n:

Shapefile data with proper projection attribution (EPSG: 2229, NAD83 / California zone 5 (ftUS)) is not properly recognized when loaded into QGIS.

For me QGIS recognizes the CRS OK.

1. Downloaded the http://www.countyofsb.org/itd/gis/metadata/agricultural_crops.html.

2. Load it into QGIS.

3. The recognized CRS proj4 definition is:

+proj=lcc +lat_1=34.03333333333333 +lat_2=35.46666666666667 +lat_0=33.5 +lon_0=-118 +x_0=2000000 +y_0=500000.0000000001

+ellps=GRS80 +datum=NAD83 +to_meter=0.3048006096012192 +no_defs
#3 - 2009-03-29 12:41 PM - Maciej Sieczka -

- Resolution set to fixed

- Status changed from Open to Closed

Closing the ticket as it seems fixed now. Please re-open if still something's wrong.
